<?php
  
  $db = new PDO('sqlite:database.db');
  $db->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
  $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

  $id = $_GET['id'];

  $stmt = $db->prepare('SELECT * 
                        FROM article JOIN 
                             category ON article.category = category.id 
                        WHERE category.id = ?
                        ORDER BY id DESC ');
  $stmt->execute(array($id));
  $articles = $stmt->fetchAll();

  $stmt = $db->prepare('SELECT * FROM category ORDER BY name');
  $stmt->execute();
  $categories = $stmt->fetchAll();
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Classic Newspaper</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <header>
      <h1><a href="/">Classic Newspaper</a></h1>
    </header>
    <section id="categories">
      <ul>
        <?php foreach ($categories as $category) { ?>
          <li>
            <a href="category.php?id=<?=$category['id']?>">
              <?=ucfirst($category['name'])?>
            </a>
          </li>
        <?php } ?>
      </ul>
    </section>
    <section id="articles">
      <?php foreach ($articles as $article) { ?>
        <article>
          <header>
            <h2><?=$article['title']?></h2>
            <h3>#<?=$article['name']?></h3>
          </header>
          <p>
            <?=implode(' ', array_slice(explode(' ', $article['body']), 0, 10))?>...
            <a href="article.php?id=<?=$article['id']?>">[Read More]</a>
          </p>
          <footer><p>Written by <?=$article['author']?> on <?=date('Y-m-d H:m', $article['published'])?></p></footer>
        </article>
      <?php } ?>
    </section>
  </body>
</html>